import {
  ActiveContext,
  AgentTurnResult,
  AgentTurnSpecification,
  AggregatedUtterancesFilter,
  AggregatedUtterancesSortBy,
  AggregatedUtterancesSummary,
  AnalyticsBinBySpecification,
  AnalyticsIntentFilter,
  AnalyticsIntentGroupBySpecification,
  AnalyticsIntentMetric,
  AnalyticsIntentNodeSummary,
  AnalyticsIntentResult,
  AnalyticsIntentStageFilter,
  AnalyticsIntentStageGroupBySpecification,
  AnalyticsIntentStageMetric,
  AnalyticsIntentStageResult,
  AnalyticsModality,
  AnalyticsPathFilter,
  AnalyticsSessionFilter,
  AnalyticsSessionGroupBySpecification,
  AnalyticsSessionMetric,
  AnalyticsSessionResult,
  AnalyticsSessionSortByName,
  AnalyticsSortOrder,
  AnalyticsUtteranceAttribute,
  AnalyticsUtteranceFilter,
  AnalyticsUtteranceGroupBySpecification,
  AnalyticsUtteranceMetric,
  AnalyticsUtteranceResult,
  AnalyticsUtteranceSortByName,
  AssociatedTranscript,
  AssociatedTranscriptFilter,
  BotAliasLocaleSettings,
  BotAliasReplicaSummary,
  BotAliasStatus,
  BotAliasSummary,
  BotAliasTestExecutionTarget,
  BotFilter,
  BotImportSpecification,
  BotLocaleFilter,
  BotLocaleHistoryEvent,
  BotLocaleImportSpecification,
  BotLocaleSortBy,
  BotLocaleStatus,
  BotLocaleSummary,
  BotMember,
  BotRecommendationResults,
  BotRecommendationStatus,
  BotRecommendationSummary,
  BotReplicaStatus,
  BotReplicaSummary,
  BotSortBy,
  BotStatus,
  BotSummary,
  BotType,
  BotVersionReplicaSortBy,
  BotVersionReplicaSummary,
  BotVersionSortBy,
  BotVersionSummary,
  BuiltInIntentSortBy,
  BuiltInIntentSummary,
  BuiltInSlotTypeSortBy,
  BuiltInSlotTypeSummary,
  CompositeSlotTypeSetting,
  Condition,
  ConversationEndState,
  ConversationLevelResultDetail,
  ConversationLevelTestResults,
  ConversationLevelTestResultsFilterBy,
  ConversationLogsDataSource,
  ConversationLogSettings,
  CustomVocabularyImportSpecification,
  CustomVocabularyItem,
  CustomVocabularyStatus,
  DataPrivacy,
  DateRangeFilter,
  DialogAction,
  DialogCodeHookSettings,
  ElicitationCodeHookInvocationSetting,
  ExecutionErrorDetails,
  ExportResourceSpecification,
  ExportStatus,
  ExternalSourceSetting,
  FulfillmentUpdatesSpecification,
  GenerativeAISettings,
  ImageResponseCard,
  ImportExportFileFormat,
  ImportStatus,
  InputContext,
  KendraConfiguration,
  MultipleValuesSetting,
  ObfuscationSetting,
  OutputContext,
  ParentBotNetwork,
  PromptSpecification,
  QnAIntentConfiguration,
  ResponseSpecification,
  SampleUtterance,
  SentimentAnalysisSettings,
  SlotConstraint,
  SlotDefaultValueSpecification,
  SlotResolutionSetting,
  SlotShape,
  SlotTypeValue,
  SlotValue,
  SlotValueSelectionSetting,
  SortOrder,
  SubSlotSetting,
  TestResultMatchStatus,
  TestSetDiscrepancyReportResourceTarget,
  VoiceSettings,
  WaitAndContinueSpecification,
} from "./models_0";
export interface DescribeBotLocaleResponse {
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  localeName?: string | undefined;
  description?: string | undefined;
  nluIntentConfidenceThreshold?: number | undefined;
  voiceSettings?: VoiceSettings | undefined;
  intentsCount?: number | undefined;
  slotTypesCount?: number | undefined;
  botLocaleStatus?: BotLocaleStatus | undefined;
  failureReasons?: string[] | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
  lastBuildSubmittedDateTime?: Date | undefined;
  botLocaleHistoryEvents?: BotLocaleHistoryEvent[] | undefined;
  recommendedActions?: string[] | undefined;
  generativeAISettings?: GenerativeAISettings | undefined;
}
export interface DescribeBotRecommendationRequest {
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
  botRecommendationId: string | undefined;
}
export interface EncryptionSetting {
  kmsKeyArn?: string | undefined;
  botLocaleExportPassword?: string | undefined;
  associatedTranscriptsPassword?: string | undefined;
}
export interface PathFormat {
  objectPrefixes?: string[] | undefined;
}
export interface LexTranscriptFilter {
  dateRangeFilter?: DateRangeFilter | undefined;
}
export interface TranscriptFilter {
  lexTranscriptFilter?: LexTranscriptFilter | undefined;
}
export declare const TranscriptFormat: {
  readonly Lex: "Lex";
};
export type TranscriptFormat =
  (typeof TranscriptFormat)[keyof typeof TranscriptFormat];
export interface S3BucketTranscriptSource {
  s3BucketName: string | undefined;
  pathFormat?: PathFormat | undefined;
  transcriptFormat: TranscriptFormat | undefined;
  transcriptFilter?: TranscriptFilter | undefined;
  kmsKeyArn?: string | undefined;
}
export interface TranscriptSourceSetting {
  s3BucketTranscriptSource?: S3BucketTranscriptSource | undefined;
}
export interface DescribeBotRecommendationResponse {
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  botRecommendationStatus?: BotRecommendationStatus | undefined;
  botRecommendationId?: string | undefined;
  failureReasons?: string[] | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
  transcriptSourceSetting?: TranscriptSourceSetting | undefined;
  encryptionSetting?: EncryptionSetting | undefined;
  botRecommendationResults?: BotRecommendationResults | undefined;
}
export interface DescribeBotReplicaRequest {
  botId: string | undefined;
  replicaRegion: string | undefined;
}
export interface DescribeBotReplicaResponse {
  botId?: string | undefined;
  replicaRegion?: string | undefined;
  sourceRegion?: string | undefined;
  creationDateTime?: Date | undefined;
  botReplicaStatus?: BotReplicaStatus | undefined;
  failureReasons?: string[] | undefined;
}
export interface DescribeBotResourceGenerationRequest {
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
  generationId: string | undefined;
}
export declare const GenerationStatus: {
  readonly Complete: "Complete";
  readonly Failed: "Failed";
  readonly InProgress: "InProgress";
};
export type GenerationStatus =
  (typeof GenerationStatus)[keyof typeof GenerationStatus];
export interface DescribeBotResourceGenerationResponse {
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  generationId?: string | undefined;
  failureReasons?: string[] | undefined;
  generationStatus?: GenerationStatus | undefined;
  generationInputPrompt?: string | undefined;
  generatedBotLocaleUrl?: string | undefined;
  creationDateTime?: Date | undefined;
  modelArn?: string | undefined;
  lastUpdatedDateTime?: Date | undefined;
}
export interface DescribeBotVersionRequest {
  botId: string | undefined;
  botVersion: string | undefined;
}
export interface DescribeBotVersionResponse {
  botId?: string | undefined;
  botName?: string | undefined;
  botVersion?: string | undefined;
  description?: string | undefined;
  roleArn?: string | undefined;
  dataPrivacy?: DataPrivacy | undefined;
  idleSessionTTLInSeconds?: number | undefined;
  botStatus?: BotStatus | undefined;
  failureReasons?: string[] | undefined;
  creationDateTime?: Date | undefined;
  parentBotNetworks?: ParentBotNetwork[] | undefined;
  botType?: BotType | undefined;
  botMembers?: BotMember[] | undefined;
}
export interface DescribeCustomVocabularyMetadataRequest {
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
}
export interface DescribeCustomVocabularyMetadataResponse {
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  customVocabularyStatus?: CustomVocabularyStatus | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
}
export interface DescribeExportRequest {
  exportId: string | undefined;
}
export interface DescribeExportResponse {
  exportId?: string | undefined;
  resourceSpecification?: ExportResourceSpecification | undefined;
  fileFormat?: ImportExportFileFormat | undefined;
  exportStatus?: ExportStatus | undefined;
  failureReasons?: string[] | undefined;
  downloadUrl?: string | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
}
export interface DescribeImportRequest {
  importId: string | undefined;
}
export declare const MergeStrategy: {
  readonly Append: "Append";
  readonly FailOnConflict: "FailOnConflict";
  readonly Overwrite: "Overwrite";
};
export type MergeStrategy = (typeof MergeStrategy)[keyof typeof MergeStrategy];
export interface TestSetImportInputLocation {
  s3BucketName: string | undefined;
  s3Path: string | undefined;
}
export declare const TestSetModality: {
  readonly Audio: "Audio";
  readonly Text: "Text";
};
export type TestSetModality =
  (typeof TestSetModality)[keyof typeof TestSetModality];
export interface TestSetStorageLocation {
  s3BucketName: string | undefined;
  s3Path: string | undefined;
  kmsKeyArn?: string | undefined;
}
export interface TestSetImportResourceSpecification {
  testSetName: string | undefined;
  description?: string | undefined;
  roleArn: string | undefined;
  storageLocation: TestSetStorageLocation | undefined;
  importInputLocation: TestSetImportInputLocation | undefined;
  modality: TestSetModality | undefined;
  testSetTags?: Record<string, string> | undefined;
}
export interface ImportResourceSpecification {
  botImportSpecification?: BotImportSpecification | undefined;
  botLocaleImportSpecification?: BotLocaleImportSpecification | undefined;
  customVocabularyImportSpecification?:
    | CustomVocabularyImportSpecification
    | undefined;
  testSetImportResourceSpecification?:
    | TestSetImportResourceSpecification
    | undefined;
}
export interface DescribeImportResponse {
  importId?: string | undefined;
  resourceSpecification?: ImportResourceSpecification | undefined;
  importedResourceId?: string | undefined;
  importedResourceName?: string | undefined;
  mergeStrategy?: MergeStrategy | undefined;
  importStatus?: ImportStatus | undefined;
  failureReasons?: string[] | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
}
export interface DescribeIntentRequest {
  intentId: string | undefined;
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
}
export interface SlotPriority {
  priority: number | undefined;
  slotId: string | undefined;
}
export interface DescribeResourcePolicyRequest {
  resourceArn: string | undefined;
}
export interface DescribeResourcePolicyResponse {
  resourceArn?: string | undefined;
  policy?: string | undefined;
  revisionId?: string | undefined;
}
export interface DescribeSlotRequest {
  slotId: string | undefined;
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
  intentId: string | undefined;
}
export interface DescribeSlotTypeRequest {
  slotTypeId: string | undefined;
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
}
export interface DescribeSlotTypeResponse {
  slotTypeId?: string | undefined;
  slotTypeName?: string | undefined;
  description?: string | undefined;
  slotTypeValues?: SlotTypeValue[] | undefined;
  valueSelectionSetting?: SlotValueSelectionSetting | undefined;
  parentSlotTypeSignature?: string | undefined;
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
  externalSourceSetting?: ExternalSourceSetting | undefined;
  compositeSlotTypeSetting?: CompositeSlotTypeSetting | undefined;
}
export interface DescribeTestExecutionRequest {
  testExecutionId: string | undefined;
}
export declare const TestExecutionApiMode: {
  readonly NonStreaming: "NonStreaming";
  readonly Streaming: "Streaming";
};
export type TestExecutionApiMode =
  (typeof TestExecutionApiMode)[keyof typeof TestExecutionApiMode];
export interface TestExecutionTarget {
  botAliasTarget?: BotAliasTestExecutionTarget | undefined;
}
export declare const TestExecutionModality: {
  readonly Audio: "Audio";
  readonly Text: "Text";
};
export type TestExecutionModality =
  (typeof TestExecutionModality)[keyof typeof TestExecutionModality];
export declare const TestExecutionStatus: {
  readonly Completed: "Completed";
  readonly Failed: "Failed";
  readonly InProgress: "InProgress";
  readonly Pending: "Pending";
  readonly Stopped: "Stopped";
  readonly Stopping: "Stopping";
  readonly Waiting: "Waiting";
};
export type TestExecutionStatus =
  (typeof TestExecutionStatus)[keyof typeof TestExecutionStatus];
export interface DescribeTestExecutionResponse {
  testExecutionId?: string | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
  testExecutionStatus?: TestExecutionStatus | undefined;
  testSetId?: string | undefined;
  testSetName?: string | undefined;
  target?: TestExecutionTarget | undefined;
  apiMode?: TestExecutionApiMode | undefined;
  testExecutionModality?: TestExecutionModality | undefined;
  failureReasons?: string[] | undefined;
}
export interface DescribeTestSetRequest {
  testSetId: string | undefined;
}
export declare const TestSetStatus: {
  readonly Deleting: "Deleting";
  readonly Importing: "Importing";
  readonly PendingAnnotation: "PendingAnnotation";
  readonly Ready: "Ready";
  readonly ValidationError: "ValidationError";
};
export type TestSetStatus = (typeof TestSetStatus)[keyof typeof TestSetStatus];
export interface DescribeTestSetResponse {
  testSetId?: string | undefined;
  testSetName?: string | undefined;
  description?: string | undefined;
  modality?: TestSetModality | undefined;
  status?: TestSetStatus | undefined;
  roleArn?: string | undefined;
  numTurns?: number | undefined;
  storageLocation?: TestSetStorageLocation | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
}
export interface DescribeTestSetDiscrepancyReportRequest {
  testSetDiscrepancyReportId: string | undefined;
}
export declare const TestSetDiscrepancyReportStatus: {
  readonly Completed: "Completed";
  readonly Failed: "Failed";
  readonly InProgress: "InProgress";
};
export type TestSetDiscrepancyReportStatus =
  (typeof TestSetDiscrepancyReportStatus)[keyof typeof TestSetDiscrepancyReportStatus];
export interface TestSetIntentDiscrepancyItem {
  intentName: string | undefined;
  errorMessage: string | undefined;
}
export interface TestSetSlotDiscrepancyItem {
  intentName: string | undefined;
  slotName: string | undefined;
  errorMessage: string | undefined;
}
export interface TestSetDiscrepancyErrors {
  intentDiscrepancies: TestSetIntentDiscrepancyItem[] | undefined;
  slotDiscrepancies: TestSetSlotDiscrepancyItem[] | undefined;
}
export interface DescribeTestSetDiscrepancyReportResponse {
  testSetDiscrepancyReportId?: string | undefined;
  testSetId?: string | undefined;
  creationDateTime?: Date | undefined;
  target?: TestSetDiscrepancyReportResourceTarget | undefined;
  testSetDiscrepancyReportStatus?: TestSetDiscrepancyReportStatus | undefined;
  lastUpdatedDataTime?: Date | undefined;
  testSetDiscrepancyTopErrors?: TestSetDiscrepancyErrors | undefined;
  testSetDiscrepancyRawOutputUrl?: string | undefined;
  failureReasons?: string[] | undefined;
}
export interface DescribeTestSetGenerationRequest {
  testSetGenerationId: string | undefined;
}
export interface TestSetGenerationDataSource {
  conversationLogsDataSource?: ConversationLogsDataSource | undefined;
}
export declare const TestSetGenerationStatus: {
  readonly Failed: "Failed";
  readonly Generating: "Generating";
  readonly Pending: "Pending";
  readonly Ready: "Ready";
};
export type TestSetGenerationStatus =
  (typeof TestSetGenerationStatus)[keyof typeof TestSetGenerationStatus];
export interface DescribeTestSetGenerationResponse {
  testSetGenerationId?: string | undefined;
  testSetGenerationStatus?: TestSetGenerationStatus | undefined;
  failureReasons?: string[] | undefined;
  testSetId?: string | undefined;
  testSetName?: string | undefined;
  description?: string | undefined;
  storageLocation?: TestSetStorageLocation | undefined;
  generationDataSource?: TestSetGenerationDataSource | undefined;
  roleArn?: string | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
}
export declare const ExportFilterName: {
  readonly ExportResourceType: "ExportResourceType";
};
export type ExportFilterName =
  (typeof ExportFilterName)[keyof typeof ExportFilterName];
export declare const ExportFilterOperator: {
  readonly Contains: "CO";
  readonly Equals: "EQ";
};
export type ExportFilterOperator =
  (typeof ExportFilterOperator)[keyof typeof ExportFilterOperator];
export interface ExportFilter {
  name: ExportFilterName | undefined;
  values: string[] | undefined;
  operator: ExportFilterOperator | undefined;
}
export declare const ExportSortAttribute: {
  readonly LastUpdatedDateTime: "LastUpdatedDateTime";
};
export type ExportSortAttribute =
  (typeof ExportSortAttribute)[keyof typeof ExportSortAttribute];
export interface ExportSortBy {
  attribute: ExportSortAttribute | undefined;
  order: SortOrder | undefined;
}
export interface ExportSummary {
  exportId?: string | undefined;
  resourceSpecification?: ExportResourceSpecification | undefined;
  fileFormat?: ImportExportFileFormat | undefined;
  exportStatus?: ExportStatus | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
}
export interface GenerateBotElementRequest {
  intentId: string | undefined;
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
}
export interface GenerateBotElementResponse {
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  intentId?: string | undefined;
  sampleUtterances?: SampleUtterance[] | undefined;
}
export declare const GenerationSortByAttribute: {
  readonly creationStartTime: "creationStartTime";
  readonly lastUpdatedTime: "lastUpdatedTime";
};
export type GenerationSortByAttribute =
  (typeof GenerationSortByAttribute)[keyof typeof GenerationSortByAttribute];
export interface GenerationSortBy {
  attribute: GenerationSortByAttribute | undefined;
  order: SortOrder | undefined;
}
export interface GenerationSummary {
  generationId?: string | undefined;
  generationStatus?: GenerationStatus | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
}
export interface GetTestExecutionArtifactsUrlRequest {
  testExecutionId: string | undefined;
}
export interface GetTestExecutionArtifactsUrlResponse {
  testExecutionId?: string | undefined;
  downloadArtifactsUrl?: string | undefined;
}
export declare const ImportFilterName: {
  readonly ImportResourceType: "ImportResourceType";
};
export type ImportFilterName =
  (typeof ImportFilterName)[keyof typeof ImportFilterName];
export declare const ImportFilterOperator: {
  readonly Contains: "CO";
  readonly Equals: "EQ";
};
export type ImportFilterOperator =
  (typeof ImportFilterOperator)[keyof typeof ImportFilterOperator];
export interface ImportFilter {
  name: ImportFilterName | undefined;
  values: string[] | undefined;
  operator: ImportFilterOperator | undefined;
}
export declare const ImportResourceType: {
  readonly Bot: "Bot";
  readonly BotLocale: "BotLocale";
  readonly CustomVocabulary: "CustomVocabulary";
  readonly TestSet: "TestSet";
};
export type ImportResourceType =
  (typeof ImportResourceType)[keyof typeof ImportResourceType];
export declare const ImportSortAttribute: {
  readonly LastUpdatedDateTime: "LastUpdatedDateTime";
};
export type ImportSortAttribute =
  (typeof ImportSortAttribute)[keyof typeof ImportSortAttribute];
export interface ImportSortBy {
  attribute: ImportSortAttribute | undefined;
  order: SortOrder | undefined;
}
export interface ImportSummary {
  importId?: string | undefined;
  importedResourceId?: string | undefined;
  importedResourceName?: string | undefined;
  importStatus?: ImportStatus | undefined;
  mergeStrategy?: MergeStrategy | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
  importedResourceType?: ImportResourceType | undefined;
}
export interface RuntimeHintValue {
  phrase: string | undefined;
}
export interface IntentClassificationTestResultItemCounts {
  totalResultCount: number | undefined;
  speechTranscriptionResultCounts?:
    | Partial<Record<TestResultMatchStatus, number>>
    | undefined;
  intentMatchResultCounts:
    | Partial<Record<TestResultMatchStatus, number>>
    | undefined;
}
export interface IntentClassificationTestResultItem {
  intentName: string | undefined;
  multiTurnConversation: boolean | undefined;
  resultCounts: IntentClassificationTestResultItemCounts | undefined;
}
export interface IntentClassificationTestResults {
  items: IntentClassificationTestResultItem[] | undefined;
}
export declare const IntentFilterName: {
  readonly IntentName: "IntentName";
};
export type IntentFilterName =
  (typeof IntentFilterName)[keyof typeof IntentFilterName];
export declare const IntentFilterOperator: {
  readonly Contains: "CO";
  readonly Equals: "EQ";
};
export type IntentFilterOperator =
  (typeof IntentFilterOperator)[keyof typeof IntentFilterOperator];
export interface IntentFilter {
  name: IntentFilterName | undefined;
  values: string[] | undefined;
  operator: IntentFilterOperator | undefined;
}
export interface SlotResolutionTestResultItemCounts {
  totalResultCount: number | undefined;
  speechTranscriptionResultCounts?:
    | Partial<Record<TestResultMatchStatus, number>>
    | undefined;
  slotMatchResultCounts:
    | Partial<Record<TestResultMatchStatus, number>>
    | undefined;
}
export interface SlotResolutionTestResultItem {
  slotName: string | undefined;
  resultCounts: SlotResolutionTestResultItemCounts | undefined;
}
export interface IntentLevelSlotResolutionTestResultItem {
  intentName: string | undefined;
  multiTurnConversation: boolean | undefined;
  slotResolutionResults: SlotResolutionTestResultItem[] | undefined;
}
export interface IntentLevelSlotResolutionTestResults {
  items: IntentLevelSlotResolutionTestResultItem[] | undefined;
}
export declare const IntentSortAttribute: {
  readonly IntentName: "IntentName";
  readonly LastUpdatedDateTime: "LastUpdatedDateTime";
};
export type IntentSortAttribute =
  (typeof IntentSortAttribute)[keyof typeof IntentSortAttribute];
export interface IntentSortBy {
  attribute: IntentSortAttribute | undefined;
  order: SortOrder | undefined;
}
export declare const IntentState: {
  readonly Failed: "Failed";
  readonly Fulfilled: "Fulfilled";
  readonly FulfillmentInProgress: "FulfillmentInProgress";
  readonly InProgress: "InProgress";
  readonly ReadyForFulfillment: "ReadyForFulfillment";
  readonly Waiting: "Waiting";
};
export type IntentState = (typeof IntentState)[keyof typeof IntentState];
export interface IntentSummary {
  intentId?: string | undefined;
  intentName?: string | undefined;
  description?: string | undefined;
  parentIntentSignature?: string | undefined;
  inputContexts?: InputContext[] | undefined;
  outputContexts?: OutputContext[] | undefined;
  lastUpdatedDateTime?: Date | undefined;
}
export interface InvokedIntentSample {
  intentName?: string | undefined;
}
export declare const TimeDimension: {
  readonly Days: "Days";
  readonly Hours: "Hours";
  readonly Weeks: "Weeks";
};
export type TimeDimension = (typeof TimeDimension)[keyof typeof TimeDimension];
export interface RelativeAggregationDuration {
  timeDimension: TimeDimension | undefined;
  timeValue: number | undefined;
}
export interface UtteranceAggregationDuration {
  relativeAggregationDuration: RelativeAggregationDuration | undefined;
}
export interface ListAggregatedUtterancesRequest {
  botId: string | undefined;
  botAliasId?: string | undefined;
  botVersion?: string | undefined;
  localeId: string | undefined;
  aggregationDuration: UtteranceAggregationDuration | undefined;
  sortBy?: AggregatedUtterancesSortBy | undefined;
  filters?: AggregatedUtterancesFilter[] | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface ListAggregatedUtterancesResponse {
  botId?: string | undefined;
  botAliasId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  aggregationDuration?: UtteranceAggregationDuration | undefined;
  aggregationWindowStartTime?: Date | undefined;
  aggregationWindowEndTime?: Date | undefined;
  aggregationLastRefreshedDateTime?: Date | undefined;
  aggregatedUtterancesSummaries?: AggregatedUtterancesSummary[] | undefined;
  nextToken?: string | undefined;
}
export interface ListBotAliasesRequest {
  botId: string | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface ListBotAliasesResponse {
  botAliasSummaries?: BotAliasSummary[] | undefined;
  nextToken?: string | undefined;
  botId?: string | undefined;
}
export interface ListBotAliasReplicasRequest {
  botId: string | undefined;
  replicaRegion: string | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface ListBotAliasReplicasResponse {
  botId?: string | undefined;
  sourceRegion?: string | undefined;
  replicaRegion?: string | undefined;
  botAliasReplicaSummaries?: BotAliasReplicaSummary[] | undefined;
  nextToken?: string | undefined;
}
export interface ListBotLocalesRequest {
  botId: string | undefined;
  botVersion: string | undefined;
  sortBy?: BotLocaleSortBy | undefined;
  filters?: BotLocaleFilter[] | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface ListBotLocalesResponse {
  botId?: string | undefined;
  botVersion?: string | undefined;
  nextToken?: string | undefined;
  botLocaleSummaries?: BotLocaleSummary[] | undefined;
}
export interface ListBotRecommendationsRequest {
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface ListBotRecommendationsResponse {
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  botRecommendationSummaries?: BotRecommendationSummary[] | undefined;
  nextToken?: string | undefined;
}
export interface ListBotReplicasRequest {
  botId: string | undefined;
}
export interface ListBotReplicasResponse {
  botId?: string | undefined;
  sourceRegion?: string | undefined;
  botReplicaSummaries?: BotReplicaSummary[] | undefined;
}
export interface ListBotResourceGenerationsRequest {
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
  sortBy?: GenerationSortBy | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface ListBotResourceGenerationsResponse {
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  generationSummaries?: GenerationSummary[] | undefined;
  nextToken?: string | undefined;
}
export interface ListBotsRequest {
  sortBy?: BotSortBy | undefined;
  filters?: BotFilter[] | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface ListBotsResponse {
  botSummaries?: BotSummary[] | undefined;
  nextToken?: string | undefined;
}
export interface ListBotVersionReplicasRequest {
  botId: string | undefined;
  replicaRegion: string | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
  sortBy?: BotVersionReplicaSortBy | undefined;
}
export interface ListBotVersionReplicasResponse {
  botId?: string | undefined;
  sourceRegion?: string | undefined;
  replicaRegion?: string | undefined;
  botVersionReplicaSummaries?: BotVersionReplicaSummary[] | undefined;
  nextToken?: string | undefined;
}
export interface ListBotVersionsRequest {
  botId: string | undefined;
  sortBy?: BotVersionSortBy | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface ListBotVersionsResponse {
  botId?: string | undefined;
  botVersionSummaries?: BotVersionSummary[] | undefined;
  nextToken?: string | undefined;
}
export interface ListBuiltInIntentsRequest {
  localeId: string | undefined;
  sortBy?: BuiltInIntentSortBy | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface ListBuiltInIntentsResponse {
  builtInIntentSummaries?: BuiltInIntentSummary[] | undefined;
  nextToken?: string | undefined;
  localeId?: string | undefined;
}
export interface ListBuiltInSlotTypesRequest {
  localeId: string | undefined;
  sortBy?: BuiltInSlotTypeSortBy | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface ListBuiltInSlotTypesResponse {
  builtInSlotTypeSummaries?: BuiltInSlotTypeSummary[] | undefined;
  nextToken?: string | undefined;
  localeId?: string | undefined;
}
export interface ListCustomVocabularyItemsRequest {
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface ListCustomVocabularyItemsResponse {
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  customVocabularyItems?: CustomVocabularyItem[] | undefined;
  nextToken?: string | undefined;
}
export interface ListExportsRequest {
  botId?: string | undefined;
  botVersion?: string | undefined;
  sortBy?: ExportSortBy | undefined;
  filters?: ExportFilter[] | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
  localeId?: string | undefined;
}
export interface ListExportsResponse {
  botId?: string | undefined;
  botVersion?: string | undefined;
  exportSummaries?: ExportSummary[] | undefined;
  nextToken?: string | undefined;
  localeId?: string | undefined;
}
export interface ListImportsRequest {
  botId?: string | undefined;
  botVersion?: string | undefined;
  sortBy?: ImportSortBy | undefined;
  filters?: ImportFilter[] | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
  localeId?: string | undefined;
}
export interface ListImportsResponse {
  botId?: string | undefined;
  botVersion?: string | undefined;
  importSummaries?: ImportSummary[] | undefined;
  nextToken?: string | undefined;
  localeId?: string | undefined;
}
export interface ListIntentMetricsRequest {
  botId: string | undefined;
  startDateTime: Date | undefined;
  endDateTime: Date | undefined;
  metrics: AnalyticsIntentMetric[] | undefined;
  binBy?: AnalyticsBinBySpecification[] | undefined;
  groupBy?: AnalyticsIntentGroupBySpecification[] | undefined;
  filters?: AnalyticsIntentFilter[] | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface ListIntentMetricsResponse {
  botId?: string | undefined;
  results?: AnalyticsIntentResult[] | undefined;
  nextToken?: string | undefined;
}
export interface ListIntentPathsRequest {
  botId: string | undefined;
  startDateTime: Date | undefined;
  endDateTime: Date | undefined;
  intentPath: string | undefined;
  filters?: AnalyticsPathFilter[] | undefined;
}
export interface ListIntentPathsResponse {
  nodeSummaries?: AnalyticsIntentNodeSummary[] | undefined;
}
export interface ListIntentsRequest {
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
  sortBy?: IntentSortBy | undefined;
  filters?: IntentFilter[] | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface ListIntentsResponse {
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  intentSummaries?: IntentSummary[] | undefined;
  nextToken?: string | undefined;
}
export interface ListIntentStageMetricsRequest {
  botId: string | undefined;
  startDateTime: Date | undefined;
  endDateTime: Date | undefined;
  metrics: AnalyticsIntentStageMetric[] | undefined;
  binBy?: AnalyticsBinBySpecification[] | undefined;
  groupBy?: AnalyticsIntentStageGroupBySpecification[] | undefined;
  filters?: AnalyticsIntentStageFilter[] | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface ListIntentStageMetricsResponse {
  botId?: string | undefined;
  results?: AnalyticsIntentStageResult[] | undefined;
  nextToken?: string | undefined;
}
export interface ListRecommendedIntentsRequest {
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
  botRecommendationId: string | undefined;
  nextToken?: string | undefined;
  maxResults?: number | undefined;
}
export interface RecommendedIntentSummary {
  intentId?: string | undefined;
  intentName?: string | undefined;
  sampleUtterancesCount?: number | undefined;
}
export interface ListRecommendedIntentsResponse {
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  botRecommendationId?: string | undefined;
  summaryList?: RecommendedIntentSummary[] | undefined;
  nextToken?: string | undefined;
}
export interface SessionDataSortBy {
  name: AnalyticsSessionSortByName | undefined;
  order: AnalyticsSortOrder | undefined;
}
export interface ListSessionAnalyticsDataRequest {
  botId: string | undefined;
  startDateTime: Date | undefined;
  endDateTime: Date | undefined;
  sortBy?: SessionDataSortBy | undefined;
  filters?: AnalyticsSessionFilter[] | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface SessionSpecification {
  botAliasId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  channel?: string | undefined;
  sessionId?: string | undefined;
  conversationStartTime?: Date | undefined;
  conversationEndTime?: Date | undefined;
  conversationDurationSeconds?: number | undefined;
  conversationEndState?: ConversationEndState | undefined;
  mode?: AnalyticsModality | undefined;
  numberOfTurns?: number | undefined;
  invokedIntentSamples?: InvokedIntentSample[] | undefined;
  originatingRequestId?: string | undefined;
}
export interface ListSessionAnalyticsDataResponse {
  botId?: string | undefined;
  nextToken?: string | undefined;
  sessions?: SessionSpecification[] | undefined;
}
export interface ListSessionMetricsRequest {
  botId: string | undefined;
  startDateTime: Date | undefined;
  endDateTime: Date | undefined;
  metrics: AnalyticsSessionMetric[] | undefined;
  binBy?: AnalyticsBinBySpecification[] | undefined;
  groupBy?: AnalyticsSessionGroupBySpecification[] | undefined;
  filters?: AnalyticsSessionFilter[] | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface ListSessionMetricsResponse {
  botId?: string | undefined;
  results?: AnalyticsSessionResult[] | undefined;
  nextToken?: string | undefined;
}
export declare const SlotFilterName: {
  readonly SlotName: "SlotName";
};
export type SlotFilterName =
  (typeof SlotFilterName)[keyof typeof SlotFilterName];
export declare const SlotFilterOperator: {
  readonly Contains: "CO";
  readonly Equals: "EQ";
};
export type SlotFilterOperator =
  (typeof SlotFilterOperator)[keyof typeof SlotFilterOperator];
export interface SlotFilter {
  name: SlotFilterName | undefined;
  values: string[] | undefined;
  operator: SlotFilterOperator | undefined;
}
export declare const SlotSortAttribute: {
  readonly LastUpdatedDateTime: "LastUpdatedDateTime";
  readonly SlotName: "SlotName";
};
export type SlotSortAttribute =
  (typeof SlotSortAttribute)[keyof typeof SlotSortAttribute];
export interface SlotSortBy {
  attribute: SlotSortAttribute | undefined;
  order: SortOrder | undefined;
}
export interface ListSlotsRequest {
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
  intentId: string | undefined;
  sortBy?: SlotSortBy | undefined;
  filters?: SlotFilter[] | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface SlotSummary {
  slotId?: string | undefined;
  slotName?: string | undefined;
  description?: string | undefined;
  slotConstraint?: SlotConstraint | undefined;
  slotTypeId?: string | undefined;
  valueElicitationPromptSpecification?: PromptSpecification | undefined;
  lastUpdatedDateTime?: Date | undefined;
}
export interface ListSlotsResponse {
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  intentId?: string | undefined;
  slotSummaries?: SlotSummary[] | undefined;
  nextToken?: string | undefined;
}
export declare const SlotTypeFilterName: {
  readonly ExternalSourceType: "ExternalSourceType";
  readonly SlotTypeName: "SlotTypeName";
};
export type SlotTypeFilterName =
  (typeof SlotTypeFilterName)[keyof typeof SlotTypeFilterName];
export declare const SlotTypeFilterOperator: {
  readonly Contains: "CO";
  readonly Equals: "EQ";
};
export type SlotTypeFilterOperator =
  (typeof SlotTypeFilterOperator)[keyof typeof SlotTypeFilterOperator];
export interface SlotTypeFilter {
  name: SlotTypeFilterName | undefined;
  values: string[] | undefined;
  operator: SlotTypeFilterOperator | undefined;
}
export declare const SlotTypeSortAttribute: {
  readonly LastUpdatedDateTime: "LastUpdatedDateTime";
  readonly SlotTypeName: "SlotTypeName";
};
export type SlotTypeSortAttribute =
  (typeof SlotTypeSortAttribute)[keyof typeof SlotTypeSortAttribute];
export interface SlotTypeSortBy {
  attribute: SlotTypeSortAttribute | undefined;
  order: SortOrder | undefined;
}
export interface ListSlotTypesRequest {
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
  sortBy?: SlotTypeSortBy | undefined;
  filters?: SlotTypeFilter[] | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export declare const SlotTypeCategory: {
  readonly Composite: "Composite";
  readonly Custom: "Custom";
  readonly Extended: "Extended";
  readonly ExternalGrammar: "ExternalGrammar";
};
export type SlotTypeCategory =
  (typeof SlotTypeCategory)[keyof typeof SlotTypeCategory];
export interface SlotTypeSummary {
  slotTypeId?: string | undefined;
  slotTypeName?: string | undefined;
  description?: string | undefined;
  parentSlotTypeSignature?: string | undefined;
  lastUpdatedDateTime?: Date | undefined;
  slotTypeCategory?: SlotTypeCategory | undefined;
}
export interface ListSlotTypesResponse {
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  slotTypeSummaries?: SlotTypeSummary[] | undefined;
  nextToken?: string | undefined;
}
export interface ListTagsForResourceRequest {
  resourceARN: string | undefined;
}
export interface ListTagsForResourceResponse {
  tags?: Record<string, string> | undefined;
}
export declare const TestResultTypeFilter: {
  readonly ConversationLevelTestResults: "ConversationLevelTestResults";
  readonly IntentClassificationTestResults: "IntentClassificationTestResults";
  readonly OverallTestResults: "OverallTestResults";
  readonly SlotResolutionTestResults: "SlotResolutionTestResults";
  readonly UtteranceLevelResults: "UtteranceLevelResults";
};
export type TestResultTypeFilter =
  (typeof TestResultTypeFilter)[keyof typeof TestResultTypeFilter];
export interface TestExecutionResultFilterBy {
  resultTypeFilter: TestResultTypeFilter | undefined;
  conversationLevelTestResultsFilterBy?:
    | ConversationLevelTestResultsFilterBy
    | undefined;
}
export interface ListTestExecutionResultItemsRequest {
  testExecutionId: string | undefined;
  resultFilterBy: TestExecutionResultFilterBy | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface OverallTestResultItem {
  multiTurnConversation: boolean | undefined;
  totalResultCount: number | undefined;
  speechTranscriptionResultCounts?:
    | Partial<Record<TestResultMatchStatus, number>>
    | undefined;
  endToEndResultCounts:
    | Partial<Record<TestResultMatchStatus, number>>
    | undefined;
}
export interface OverallTestResults {
  items: OverallTestResultItem[] | undefined;
}
export interface UtteranceAudioInputSpecification {
  audioFileS3Location: string | undefined;
}
export interface UtteranceInputSpecification {
  textInput?: string | undefined;
  audioInput?: UtteranceAudioInputSpecification | undefined;
}
export declare const TestExecutionSortAttribute: {
  readonly CreationDateTime: "CreationDateTime";
  readonly TestSetName: "TestSetName";
};
export type TestExecutionSortAttribute =
  (typeof TestExecutionSortAttribute)[keyof typeof TestExecutionSortAttribute];
export interface TestExecutionSortBy {
  attribute: TestExecutionSortAttribute | undefined;
  order: SortOrder | undefined;
}
export interface ListTestExecutionsRequest {
  sortBy?: TestExecutionSortBy | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface TestExecutionSummary {
  testExecutionId?: string | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
  testExecutionStatus?: TestExecutionStatus | undefined;
  testSetId?: string | undefined;
  testSetName?: string | undefined;
  target?: TestExecutionTarget | undefined;
  apiMode?: TestExecutionApiMode | undefined;
  testExecutionModality?: TestExecutionModality | undefined;
}
export interface ListTestExecutionsResponse {
  testExecutions?: TestExecutionSummary[] | undefined;
  nextToken?: string | undefined;
}
export interface ListTestSetRecordsRequest {
  testSetId: string | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export declare const TestSetSortAttribute: {
  readonly LastUpdatedDateTime: "LastUpdatedDateTime";
  readonly TestSetName: "TestSetName";
};
export type TestSetSortAttribute =
  (typeof TestSetSortAttribute)[keyof typeof TestSetSortAttribute];
export interface TestSetSortBy {
  attribute: TestSetSortAttribute | undefined;
  order: SortOrder | undefined;
}
export interface ListTestSetsRequest {
  sortBy?: TestSetSortBy | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface TestSetSummary {
  testSetId?: string | undefined;
  testSetName?: string | undefined;
  description?: string | undefined;
  modality?: TestSetModality | undefined;
  status?: TestSetStatus | undefined;
  roleArn?: string | undefined;
  numTurns?: number | undefined;
  storageLocation?: TestSetStorageLocation | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
}
export interface ListTestSetsResponse {
  testSets?: TestSetSummary[] | undefined;
  nextToken?: string | undefined;
}
export interface UtteranceDataSortBy {
  name: AnalyticsUtteranceSortByName | undefined;
  order: AnalyticsSortOrder | undefined;
}
export interface ListUtteranceAnalyticsDataRequest {
  botId: string | undefined;
  startDateTime: Date | undefined;
  endDateTime: Date | undefined;
  sortBy?: UtteranceDataSortBy | undefined;
  filters?: AnalyticsUtteranceFilter[] | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export declare const UtteranceContentType: {
  readonly CustomPayload: "CustomPayload";
  readonly ImageResponseCard: "ImageResponseCard";
  readonly PlainText: "PlainText";
  readonly SSML: "SSML";
};
export type UtteranceContentType =
  (typeof UtteranceContentType)[keyof typeof UtteranceContentType];
export interface UtteranceBotResponse {
  content?: string | undefined;
  contentType?: UtteranceContentType | undefined;
  imageResponseCard?: ImageResponseCard | undefined;
}
export interface UtteranceSpecification {
  botAliasId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  sessionId?: string | undefined;
  channel?: string | undefined;
  mode?: AnalyticsModality | undefined;
  conversationStartTime?: Date | undefined;
  conversationEndTime?: Date | undefined;
  utterance?: string | undefined;
  utteranceTimestamp?: Date | undefined;
  audioVoiceDurationMillis?: number | undefined;
  utteranceUnderstood?: boolean | undefined;
  inputType?: string | undefined;
  outputType?: string | undefined;
  associatedIntentName?: string | undefined;
  associatedSlotName?: string | undefined;
  intentState?: IntentState | undefined;
  dialogActionType?: string | undefined;
  botResponseAudioVoiceId?: string | undefined;
  slotsFilledInSession?: string | undefined;
  utteranceRequestId?: string | undefined;
  botResponses?: UtteranceBotResponse[] | undefined;
}
export interface ListUtteranceAnalyticsDataResponse {
  botId?: string | undefined;
  nextToken?: string | undefined;
  utterances?: UtteranceSpecification[] | undefined;
}
export interface ListUtteranceMetricsRequest {
  botId: string | undefined;
  startDateTime: Date | undefined;
  endDateTime: Date | undefined;
  metrics: AnalyticsUtteranceMetric[] | undefined;
  binBy?: AnalyticsBinBySpecification[] | undefined;
  groupBy?: AnalyticsUtteranceGroupBySpecification[] | undefined;
  attributes?: AnalyticsUtteranceAttribute[] | undefined;
  filters?: AnalyticsUtteranceFilter[] | undefined;
  maxResults?: number | undefined;
  nextToken?: string | undefined;
}
export interface ListUtteranceMetricsResponse {
  botId?: string | undefined;
  results?: AnalyticsUtteranceResult[] | undefined;
  nextToken?: string | undefined;
}
export declare const SearchOrder: {
  readonly Ascending: "Ascending";
  readonly Descending: "Descending";
};
export type SearchOrder = (typeof SearchOrder)[keyof typeof SearchOrder];
export interface SearchAssociatedTranscriptsRequest {
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
  botRecommendationId: string | undefined;
  searchOrder?: SearchOrder | undefined;
  filters: AssociatedTranscriptFilter[] | undefined;
  maxResults?: number | undefined;
  nextIndex?: number | undefined;
}
export interface SearchAssociatedTranscriptsResponse {
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  botRecommendationId?: string | undefined;
  nextIndex?: number | undefined;
  associatedTranscripts?: AssociatedTranscript[] | undefined;
  totalResults?: number | undefined;
}
export interface StartBotRecommendationRequest {
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
  transcriptSourceSetting: TranscriptSourceSetting | undefined;
  encryptionSetting?: EncryptionSetting | undefined;
}
export interface StartBotRecommendationResponse {
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  botRecommendationStatus?: BotRecommendationStatus | undefined;
  botRecommendationId?: string | undefined;
  creationDateTime?: Date | undefined;
  transcriptSourceSetting?: TranscriptSourceSetting | undefined;
  encryptionSetting?: EncryptionSetting | undefined;
}
export interface StartBotResourceGenerationRequest {
  generationInputPrompt: string | undefined;
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
}
export interface StartBotResourceGenerationResponse {
  generationInputPrompt?: string | undefined;
  generationId?: string | undefined;
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  generationStatus?: GenerationStatus | undefined;
  creationDateTime?: Date | undefined;
}
export interface StartImportRequest {
  importId: string | undefined;
  resourceSpecification: ImportResourceSpecification | undefined;
  mergeStrategy: MergeStrategy | undefined;
  filePassword?: string | undefined;
}
export interface StartImportResponse {
  importId?: string | undefined;
  resourceSpecification?: ImportResourceSpecification | undefined;
  mergeStrategy?: MergeStrategy | undefined;
  importStatus?: ImportStatus | undefined;
  creationDateTime?: Date | undefined;
}
export interface StartTestExecutionRequest {
  testSetId: string | undefined;
  target: TestExecutionTarget | undefined;
  apiMode: TestExecutionApiMode | undefined;
  testExecutionModality?: TestExecutionModality | undefined;
}
export interface StartTestExecutionResponse {
  testExecutionId?: string | undefined;
  creationDateTime?: Date | undefined;
  testSetId?: string | undefined;
  target?: TestExecutionTarget | undefined;
  apiMode?: TestExecutionApiMode | undefined;
  testExecutionModality?: TestExecutionModality | undefined;
}
export interface StartTestSetGenerationRequest {
  testSetName: string | undefined;
  description?: string | undefined;
  storageLocation: TestSetStorageLocation | undefined;
  generationDataSource: TestSetGenerationDataSource | undefined;
  roleArn: string | undefined;
  testSetTags?: Record<string, string> | undefined;
}
export interface StartTestSetGenerationResponse {
  testSetGenerationId?: string | undefined;
  creationDateTime?: Date | undefined;
  testSetGenerationStatus?: TestSetGenerationStatus | undefined;
  testSetName?: string | undefined;
  description?: string | undefined;
  storageLocation?: TestSetStorageLocation | undefined;
  generationDataSource?: TestSetGenerationDataSource | undefined;
  roleArn?: string | undefined;
  testSetTags?: Record<string, string> | undefined;
}
export interface StopBotRecommendationRequest {
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
  botRecommendationId: string | undefined;
}
export interface StopBotRecommendationResponse {
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  botRecommendationStatus?: BotRecommendationStatus | undefined;
  botRecommendationId?: string | undefined;
}
export interface TagResourceRequest {
  resourceARN: string | undefined;
  tags: Record<string, string> | undefined;
}
export interface TagResourceResponse {}
export interface UntagResourceRequest {
  resourceARN: string | undefined;
  tagKeys: string[] | undefined;
}
export interface UntagResourceResponse {}
export interface UpdateBotRequest {
  botId: string | undefined;
  botName: string | undefined;
  description?: string | undefined;
  roleArn: string | undefined;
  dataPrivacy: DataPrivacy | undefined;
  idleSessionTTLInSeconds: number | undefined;
  botType?: BotType | undefined;
  botMembers?: BotMember[] | undefined;
}
export interface UpdateBotResponse {
  botId?: string | undefined;
  botName?: string | undefined;
  description?: string | undefined;
  roleArn?: string | undefined;
  dataPrivacy?: DataPrivacy | undefined;
  idleSessionTTLInSeconds?: number | undefined;
  botStatus?: BotStatus | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
  botType?: BotType | undefined;
  botMembers?: BotMember[] | undefined;
}
export interface UpdateBotAliasRequest {
  botAliasId: string | undefined;
  botAliasName: string | undefined;
  description?: string | undefined;
  botVersion?: string | undefined;
  botAliasLocaleSettings?: Record<string, BotAliasLocaleSettings> | undefined;
  conversationLogSettings?: ConversationLogSettings | undefined;
  sentimentAnalysisSettings?: SentimentAnalysisSettings | undefined;
  botId: string | undefined;
}
export interface UpdateBotAliasResponse {
  botAliasId?: string | undefined;
  botAliasName?: string | undefined;
  description?: string | undefined;
  botVersion?: string | undefined;
  botAliasLocaleSettings?: Record<string, BotAliasLocaleSettings> | undefined;
  conversationLogSettings?: ConversationLogSettings | undefined;
  sentimentAnalysisSettings?: SentimentAnalysisSettings | undefined;
  botAliasStatus?: BotAliasStatus | undefined;
  botId?: string | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
}
export interface UpdateBotLocaleRequest {
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
  description?: string | undefined;
  nluIntentConfidenceThreshold: number | undefined;
  voiceSettings?: VoiceSettings | undefined;
  generativeAISettings?: GenerativeAISettings | undefined;
}
export interface UpdateBotLocaleResponse {
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  localeName?: string | undefined;
  description?: string | undefined;
  nluIntentConfidenceThreshold?: number | undefined;
  voiceSettings?: VoiceSettings | undefined;
  botLocaleStatus?: BotLocaleStatus | undefined;
  failureReasons?: string[] | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
  recommendedActions?: string[] | undefined;
  generativeAISettings?: GenerativeAISettings | undefined;
}
export interface UpdateBotRecommendationRequest {
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
  botRecommendationId: string | undefined;
  encryptionSetting: EncryptionSetting | undefined;
}
export interface UpdateBotRecommendationResponse {
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  botRecommendationStatus?: BotRecommendationStatus | undefined;
  botRecommendationId?: string | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
  transcriptSourceSetting?: TranscriptSourceSetting | undefined;
  encryptionSetting?: EncryptionSetting | undefined;
}
export interface UpdateExportRequest {
  exportId: string | undefined;
  filePassword?: string | undefined;
}
export interface UpdateExportResponse {
  exportId?: string | undefined;
  resourceSpecification?: ExportResourceSpecification | undefined;
  fileFormat?: ImportExportFileFormat | undefined;
  exportStatus?: ExportStatus | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
}
export interface UpdateResourcePolicyRequest {
  resourceArn: string | undefined;
  policy: string | undefined;
  expectedRevisionId?: string | undefined;
}
export interface UpdateResourcePolicyResponse {
  resourceArn?: string | undefined;
  revisionId?: string | undefined;
}
export interface UpdateSlotTypeRequest {
  slotTypeId: string | undefined;
  slotTypeName: string | undefined;
  description?: string | undefined;
  slotTypeValues?: SlotTypeValue[] | undefined;
  valueSelectionSetting?: SlotValueSelectionSetting | undefined;
  parentSlotTypeSignature?: string | undefined;
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
  externalSourceSetting?: ExternalSourceSetting | undefined;
  compositeSlotTypeSetting?: CompositeSlotTypeSetting | undefined;
}
export interface UpdateSlotTypeResponse {
  slotTypeId?: string | undefined;
  slotTypeName?: string | undefined;
  description?: string | undefined;
  slotTypeValues?: SlotTypeValue[] | undefined;
  valueSelectionSetting?: SlotValueSelectionSetting | undefined;
  parentSlotTypeSignature?: string | undefined;
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
  externalSourceSetting?: ExternalSourceSetting | undefined;
  compositeSlotTypeSetting?: CompositeSlotTypeSetting | undefined;
}
export interface UpdateTestSetRequest {
  testSetId: string | undefined;
  testSetName: string | undefined;
  description?: string | undefined;
}
export interface UpdateTestSetResponse {
  testSetId?: string | undefined;
  testSetName?: string | undefined;
  description?: string | undefined;
  modality?: TestSetModality | undefined;
  status?: TestSetStatus | undefined;
  roleArn?: string | undefined;
  numTurns?: number | undefined;
  storageLocation?: TestSetStorageLocation | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
}
export interface RuntimeHintDetails {
  runtimeHintValues?: RuntimeHintValue[] | undefined;
  subSlotHints?: Record<string, RuntimeHintDetails> | undefined;
}
export interface SlotValueOverride {
  shape?: SlotShape | undefined;
  value?: SlotValue | undefined;
  values?: SlotValueOverride[] | undefined;
}
export interface IntentOverride {
  name?: string | undefined;
  slots?: Record<string, SlotValueOverride> | undefined;
}
export interface RuntimeHints {
  slotHints?: Record<string, Record<string, RuntimeHintDetails>> | undefined;
}
export interface UserTurnSlotOutput {
  value?: string | undefined;
  values?: UserTurnSlotOutput[] | undefined;
  subSlots?: Record<string, UserTurnSlotOutput> | undefined;
}
export interface DialogState {
  dialogAction?: DialogAction | undefined;
  intent?: IntentOverride | undefined;
  sessionAttributes?: Record<string, string> | undefined;
}
export interface InputSessionStateSpecification {
  sessionAttributes?: Record<string, string> | undefined;
  activeContexts?: ActiveContext[] | undefined;
  runtimeHints?: RuntimeHints | undefined;
}
export interface ConditionalBranch {
  name: string | undefined;
  condition: Condition | undefined;
  nextStep: DialogState | undefined;
  response?: ResponseSpecification | undefined;
}
export interface DefaultConditionalBranch {
  nextStep?: DialogState | undefined;
  response?: ResponseSpecification | undefined;
}
export interface UserTurnInputSpecification {
  utteranceInput: UtteranceInputSpecification | undefined;
  requestAttributes?: Record<string, string> | undefined;
  sessionState?: InputSessionStateSpecification | undefined;
}
export interface UserTurnIntentOutput {
  name: string | undefined;
  slots?: Record<string, UserTurnSlotOutput> | undefined;
}
export interface UserTurnOutputSpecification {
  intent: UserTurnIntentOutput | undefined;
  activeContexts?: ActiveContext[] | undefined;
  transcript?: string | undefined;
}
export interface ConditionalSpecification {
  active: boolean | undefined;
  conditionalBranches: ConditionalBranch[] | undefined;
  defaultBranch: DefaultConditionalBranch | undefined;
}
export interface UserTurnSpecification {
  input: UserTurnInputSpecification | undefined;
  expected: UserTurnOutputSpecification | undefined;
}
export interface TurnSpecification {
  agentTurn?: AgentTurnSpecification | undefined;
  userTurn?: UserTurnSpecification | undefined;
}
export interface IntentClosingSetting {
  closingResponse?: ResponseSpecification | undefined;
  active?: boolean | undefined;
  nextStep?: DialogState | undefined;
  conditional?: ConditionalSpecification | undefined;
}
export interface TestSetTurnRecord {
  recordNumber: number | undefined;
  conversationId?: string | undefined;
  turnNumber?: number | undefined;
  turnSpecification: TurnSpecification | undefined;
}
export interface UserTurnResult {
  input: UserTurnInputSpecification | undefined;
  expectedOutput: UserTurnOutputSpecification | undefined;
  actualOutput?: UserTurnOutputSpecification | undefined;
  errorDetails?: ExecutionErrorDetails | undefined;
  endToEndResult?: TestResultMatchStatus | undefined;
  intentMatchResult?: TestResultMatchStatus | undefined;
  slotMatchResult?: TestResultMatchStatus | undefined;
  speechTranscriptionResult?: TestResultMatchStatus | undefined;
  conversationLevelResult?: ConversationLevelResultDetail | undefined;
}
export interface ListTestSetRecordsResponse {
  testSetRecords?: TestSetTurnRecord[] | undefined;
  nextToken?: string | undefined;
}
export interface TestSetTurnResult {
  agent?: AgentTurnResult | undefined;
  user?: UserTurnResult | undefined;
}
export interface UtteranceLevelTestResultItem {
  recordNumber: number | undefined;
  conversationId?: string | undefined;
  turnResult: TestSetTurnResult | undefined;
}
export interface UtteranceLevelTestResults {
  items: UtteranceLevelTestResultItem[] | undefined;
}
export interface TestExecutionResultItems {
  overallTestResults?: OverallTestResults | undefined;
  conversationLevelTestResults?: ConversationLevelTestResults | undefined;
  intentClassificationTestResults?: IntentClassificationTestResults | undefined;
  intentLevelSlotResolutionTestResults?:
    | IntentLevelSlotResolutionTestResults
    | undefined;
  utteranceLevelTestResults?: UtteranceLevelTestResults | undefined;
}
export interface ListTestExecutionResultItemsResponse {
  testExecutionResults?: TestExecutionResultItems | undefined;
  nextToken?: string | undefined;
}
export interface PostDialogCodeHookInvocationSpecification {
  successResponse?: ResponseSpecification | undefined;
  successNextStep?: DialogState | undefined;
  successConditional?: ConditionalSpecification | undefined;
  failureResponse?: ResponseSpecification | undefined;
  failureNextStep?: DialogState | undefined;
  failureConditional?: ConditionalSpecification | undefined;
  timeoutResponse?: ResponseSpecification | undefined;
  timeoutNextStep?: DialogState | undefined;
  timeoutConditional?: ConditionalSpecification | undefined;
}
export interface PostFulfillmentStatusSpecification {
  successResponse?: ResponseSpecification | undefined;
  failureResponse?: ResponseSpecification | undefined;
  timeoutResponse?: ResponseSpecification | undefined;
  successNextStep?: DialogState | undefined;
  successConditional?: ConditionalSpecification | undefined;
  failureNextStep?: DialogState | undefined;
  failureConditional?: ConditionalSpecification | undefined;
  timeoutNextStep?: DialogState | undefined;
  timeoutConditional?: ConditionalSpecification | undefined;
}
export interface DialogCodeHookInvocationSetting {
  enableCodeHookInvocation: boolean | undefined;
  active: boolean | undefined;
  invocationLabel?: string | undefined;
  postCodeHookSpecification:
    | PostDialogCodeHookInvocationSpecification
    | undefined;
}
export interface FulfillmentCodeHookSettings {
  enabled: boolean | undefined;
  postFulfillmentStatusSpecification?:
    | PostFulfillmentStatusSpecification
    | undefined;
  fulfillmentUpdatesSpecification?: FulfillmentUpdatesSpecification | undefined;
  active?: boolean | undefined;
}
export interface InitialResponseSetting {
  initialResponse?: ResponseSpecification | undefined;
  nextStep?: DialogState | undefined;
  conditional?: ConditionalSpecification | undefined;
  codeHook?: DialogCodeHookInvocationSetting | undefined;
}
export interface SlotCaptureSetting {
  captureResponse?: ResponseSpecification | undefined;
  captureNextStep?: DialogState | undefined;
  captureConditional?: ConditionalSpecification | undefined;
  failureResponse?: ResponseSpecification | undefined;
  failureNextStep?: DialogState | undefined;
  failureConditional?: ConditionalSpecification | undefined;
  codeHook?: DialogCodeHookInvocationSetting | undefined;
  elicitationCodeHook?: ElicitationCodeHookInvocationSetting | undefined;
}
export interface SlotValueElicitationSetting {
  defaultValueSpecification?: SlotDefaultValueSpecification | undefined;
  slotConstraint: SlotConstraint | undefined;
  promptSpecification?: PromptSpecification | undefined;
  sampleUtterances?: SampleUtterance[] | undefined;
  waitAndContinueSpecification?: WaitAndContinueSpecification | undefined;
  slotCaptureSetting?: SlotCaptureSetting | undefined;
  slotResolutionSetting?: SlotResolutionSetting | undefined;
}
export interface IntentConfirmationSetting {
  promptSpecification: PromptSpecification | undefined;
  declinationResponse?: ResponseSpecification | undefined;
  active?: boolean | undefined;
  confirmationResponse?: ResponseSpecification | undefined;
  confirmationNextStep?: DialogState | undefined;
  confirmationConditional?: ConditionalSpecification | undefined;
  declinationNextStep?: DialogState | undefined;
  declinationConditional?: ConditionalSpecification | undefined;
  failureResponse?: ResponseSpecification | undefined;
  failureNextStep?: DialogState | undefined;
  failureConditional?: ConditionalSpecification | undefined;
  codeHook?: DialogCodeHookInvocationSetting | undefined;
  elicitationCodeHook?: ElicitationCodeHookInvocationSetting | undefined;
}
export interface CreateSlotRequest {
  slotName: string | undefined;
  description?: string | undefined;
  slotTypeId?: string | undefined;
  valueElicitationSetting: SlotValueElicitationSetting | undefined;
  obfuscationSetting?: ObfuscationSetting | undefined;
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
  intentId: string | undefined;
  multipleValuesSetting?: MultipleValuesSetting | undefined;
  subSlotSetting?: SubSlotSetting | undefined;
}
export interface CreateSlotResponse {
  slotId?: string | undefined;
  slotName?: string | undefined;
  description?: string | undefined;
  slotTypeId?: string | undefined;
  valueElicitationSetting?: SlotValueElicitationSetting | undefined;
  obfuscationSetting?: ObfuscationSetting | undefined;
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  intentId?: string | undefined;
  creationDateTime?: Date | undefined;
  multipleValuesSetting?: MultipleValuesSetting | undefined;
  subSlotSetting?: SubSlotSetting | undefined;
}
export interface DescribeSlotResponse {
  slotId?: string | undefined;
  slotName?: string | undefined;
  description?: string | undefined;
  slotTypeId?: string | undefined;
  valueElicitationSetting?: SlotValueElicitationSetting | undefined;
  obfuscationSetting?: ObfuscationSetting | undefined;
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  intentId?: string | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
  multipleValuesSetting?: MultipleValuesSetting | undefined;
  subSlotSetting?: SubSlotSetting | undefined;
}
export interface UpdateSlotRequest {
  slotId: string | undefined;
  slotName: string | undefined;
  description?: string | undefined;
  slotTypeId?: string | undefined;
  valueElicitationSetting: SlotValueElicitationSetting | undefined;
  obfuscationSetting?: ObfuscationSetting | undefined;
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
  intentId: string | undefined;
  multipleValuesSetting?: MultipleValuesSetting | undefined;
  subSlotSetting?: SubSlotSetting | undefined;
}
export interface UpdateSlotResponse {
  slotId?: string | undefined;
  slotName?: string | undefined;
  description?: string | undefined;
  slotTypeId?: string | undefined;
  valueElicitationSetting?: SlotValueElicitationSetting | undefined;
  obfuscationSetting?: ObfuscationSetting | undefined;
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  intentId?: string | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
  multipleValuesSetting?: MultipleValuesSetting | undefined;
  subSlotSetting?: SubSlotSetting | undefined;
}
export interface CreateIntentRequest {
  intentName: string | undefined;
  description?: string | undefined;
  parentIntentSignature?: string | undefined;
  sampleUtterances?: SampleUtterance[] | undefined;
  dialogCodeHook?: DialogCodeHookSettings | undefined;
  fulfillmentCodeHook?: FulfillmentCodeHookSettings | undefined;
  intentConfirmationSetting?: IntentConfirmationSetting | undefined;
  intentClosingSetting?: IntentClosingSetting | undefined;
  inputContexts?: InputContext[] | undefined;
  outputContexts?: OutputContext[] | undefined;
  kendraConfiguration?: KendraConfiguration | undefined;
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
  initialResponseSetting?: InitialResponseSetting | undefined;
  qnAIntentConfiguration?: QnAIntentConfiguration | undefined;
}
export interface CreateIntentResponse {
  intentId?: string | undefined;
  intentName?: string | undefined;
  description?: string | undefined;
  parentIntentSignature?: string | undefined;
  sampleUtterances?: SampleUtterance[] | undefined;
  dialogCodeHook?: DialogCodeHookSettings | undefined;
  fulfillmentCodeHook?: FulfillmentCodeHookSettings | undefined;
  intentConfirmationSetting?: IntentConfirmationSetting | undefined;
  intentClosingSetting?: IntentClosingSetting | undefined;
  inputContexts?: InputContext[] | undefined;
  outputContexts?: OutputContext[] | undefined;
  kendraConfiguration?: KendraConfiguration | undefined;
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  creationDateTime?: Date | undefined;
  initialResponseSetting?: InitialResponseSetting | undefined;
  qnAIntentConfiguration?: QnAIntentConfiguration | undefined;
}
export interface DescribeIntentResponse {
  intentId?: string | undefined;
  intentName?: string | undefined;
  description?: string | undefined;
  parentIntentSignature?: string | undefined;
  sampleUtterances?: SampleUtterance[] | undefined;
  dialogCodeHook?: DialogCodeHookSettings | undefined;
  fulfillmentCodeHook?: FulfillmentCodeHookSettings | undefined;
  slotPriorities?: SlotPriority[] | undefined;
  intentConfirmationSetting?: IntentConfirmationSetting | undefined;
  intentClosingSetting?: IntentClosingSetting | undefined;
  inputContexts?: InputContext[] | undefined;
  outputContexts?: OutputContext[] | undefined;
  kendraConfiguration?: KendraConfiguration | undefined;
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
  initialResponseSetting?: InitialResponseSetting | undefined;
  qnAIntentConfiguration?: QnAIntentConfiguration | undefined;
}
export interface UpdateIntentRequest {
  intentId: string | undefined;
  intentName: string | undefined;
  description?: string | undefined;
  parentIntentSignature?: string | undefined;
  sampleUtterances?: SampleUtterance[] | undefined;
  dialogCodeHook?: DialogCodeHookSettings | undefined;
  fulfillmentCodeHook?: FulfillmentCodeHookSettings | undefined;
  slotPriorities?: SlotPriority[] | undefined;
  intentConfirmationSetting?: IntentConfirmationSetting | undefined;
  intentClosingSetting?: IntentClosingSetting | undefined;
  inputContexts?: InputContext[] | undefined;
  outputContexts?: OutputContext[] | undefined;
  kendraConfiguration?: KendraConfiguration | undefined;
  botId: string | undefined;
  botVersion: string | undefined;
  localeId: string | undefined;
  initialResponseSetting?: InitialResponseSetting | undefined;
  qnAIntentConfiguration?: QnAIntentConfiguration | undefined;
}
export interface UpdateIntentResponse {
  intentId?: string | undefined;
  intentName?: string | undefined;
  description?: string | undefined;
  parentIntentSignature?: string | undefined;
  sampleUtterances?: SampleUtterance[] | undefined;
  dialogCodeHook?: DialogCodeHookSettings | undefined;
  fulfillmentCodeHook?: FulfillmentCodeHookSettings | undefined;
  slotPriorities?: SlotPriority[] | undefined;
  intentConfirmationSetting?: IntentConfirmationSetting | undefined;
  intentClosingSetting?: IntentClosingSetting | undefined;
  inputContexts?: InputContext[] | undefined;
  outputContexts?: OutputContext[] | undefined;
  kendraConfiguration?: KendraConfiguration | undefined;
  botId?: string | undefined;
  botVersion?: string | undefined;
  localeId?: string | undefined;
  creationDateTime?: Date | undefined;
  lastUpdatedDateTime?: Date | undefined;
  initialResponseSetting?: InitialResponseSetting | undefined;
  qnAIntentConfiguration?: QnAIntentConfiguration | undefined;
}
export declare const EncryptionSettingFilterSensitiveLog: (
  obj: EncryptionSetting
) => any;
export declare const DescribeBotRecommendationResponseFilterSensitiveLog: (
  obj: DescribeBotRecommendationResponse
) => any;
export declare const StartBotRecommendationRequestFilterSensitiveLog: (
  obj: StartBotRecommendationRequest
) => any;
export declare const StartBotRecommendationResponseFilterSensitiveLog: (
  obj: StartBotRecommendationResponse
) => any;
export declare const StartImportRequestFilterSensitiveLog: (
  obj: StartImportRequest
) => any;
export declare const UpdateBotRecommendationRequestFilterSensitiveLog: (
  obj: UpdateBotRecommendationRequest
) => any;
export declare const UpdateBotRecommendationResponseFilterSensitiveLog: (
  obj: UpdateBotRecommendationResponse
) => any;
export declare const UpdateExportRequestFilterSensitiveLog: (
  obj: UpdateExportRequest
) => any;
